Subject: bug#13228: Request for highlighting back-quote/quote pair notation.

From: Oleksandr Gavenko <[email-masked]>
Date: Wed, 19 Dec 2012 19:15:11 +0200

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.help as well.

From:

  Subject: RE: backquote quote pair notation: What does it mean in Emacsdocument?
  Newsgroups: gmane.emacs.help
  Cc: [email-masked]
  Date: 2012-12-19 02:40:13+0200 Wed
  Archived-At: <http://permalink.gmane.org/gmane.emacs.help/88208>

On 2012-12-19, Drew Adams wrote:

> >> Compare the two attached screenshots, for instance.  See 
> >> how the quoted text stands out more when it is highlighted,
> >> and how that can help readability.
> >
> > How can I add such highlighting for Info buffers in my config?
> >
> > I think that it is done through some standard configuration...
> > Please share!

> No, there is no standard configuration that does this.  I offered it to Emacs
> Dev several times starting a long time ago (and it is still offered), but there
> has never been insufficient interest.

>From "info texinfo":

> 14.2 Inserting Quote Characters
> ===============================

> As explained in the early section on general Texinfo input conventions
> (*note Conventions::), Texinfo source files use the ASCII character ``'
> (96 decimal) to produce a left quote (`), and ASCII `'' (39 decimal) to
> produce a right quote (').  Doubling these input characters (```' and
> `''') produces double quotes (" and ").  These are the conventions used
> by TeX.

So `' quoting style is common for info files. I checked it was used for
function selection in libc and readline info files. Also it was used in GNU
Make, R, Autotool and other manuals.

So having highlighting for `' in info mode is good thing for Emacs user
(compare with emacs-lisp-mode, where it was highlighted).

This is my vote up.

-- 
Best regards!